package com.fr.plugin.cpic.db.entity;

import com.fr.stable.db.entity.BaseEntity;
import com.fr.third.javax.persistence.Column;
import com.fr.third.javax.persistence.Entity;
import com.fr.third.javax.persistence.Table;

import java.util.Date;

@Entity
@Table(name = "fine_plugin_cpic_home")
public class CpicHomeEntity extends BaseEntity {

    private static final long serialVersionUID = -638785764795126993L;

    public CpicHomeEntity() {
    }

    @Column(name = "name", length = 255)
    private String name;

    @Column(name = "themeId", length = 255)
    private String themeId;

    @Column(name = "themeName", length = 255)
    private String themeName;

    @Column(name = "path", length = 255)
    private String path;
    @Column(name = "mhpath", length = 255)
    private String mhpath;

    @Column(name = "del", length = 255)
    private String del;

    @Column(name = "editDate")
    private Date editDate;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getThemeId() {
        return themeId;
    }

    public void setThemeId(String themeId) {
        this.themeId = themeId;
    }

    public String getThemeName() {
        return themeName;
    }

    public void setThemeName(String themeName) {
        this.themeName = themeName;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public String getMhpath() {
        return mhpath;
    }

    public void setMhpath(String mhpath) {
        this.mhpath = mhpath;
    }

    public String getDel() {
        return del;
    }

    public void setDel(String del) {
        this.del = del;
    }

    public Date getEditDate() {
        return editDate;
    }

    public void setEditDate(Date editDate) {
        this.editDate = editDate;
    }
}
