package com.fr.plugin.cpic.web.component;

import com.fr.plugin.transform.ExecuteFunctionRecord;
import com.fr.plugin.transform.FunctionRecorder;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ScriptPath;

@FunctionRecorder
public class CpicHomeComponent extends Component {

    public static CpicHomeComponent KEY = new CpicHomeComponent();

    private CpicHomeComponent() {

    }

    @ExecuteFunctionRecord
    @Override
    public ScriptPath script(RequestClient requestClient) {
        return ScriptPath.build("/com/fr/plugin/cpic/web/js/cpic_home.js");
    }

}
