;

Dec.Utils = Dec.Utils || {};
!(function () {

    // 向管理系统节点加入 报表权限审批
    BI.config("dec.provider.management", function (provider) {
        provider.inject({
            modules: [
                {
                    value: "pluginhome",
                    id: "dec_plugin_home_id",
                    text: BI.i18nText("门户管理"),
                    cardType: "dec.plugin.management.home",
                    cls: "management-plugin-font"
                }
            ]
        });
    });

    //  组件实现,效果为使用绝对布局组件放置了一个iframe
    var HomeWidget = BI.inherit(BI.Widget, {
        props: {
            baseCls: "dec-management-cpic"
        },
        render: function () {
            return {
                type: "bi.absolute",
                items: [
                    {
                        el: {
                            type: "bi.iframe",
                            src: Dec.fineServletURL + "/cpic/home"
                        },
                        top: 0,
                        left: 0,
                        right: 0,
                        bottom: 0
                    }
                ]
            };
        }
    });
    BI.shortcut("dec.plugin.management.home", HomeWidget);

}());